---
title: Composer Plugin Drupal Development Environment
repo: https://gitlab.lakedrops.com/composer/plugin/drupal-development-environment
issues: https://gitlab.lakedrops.com/composer/plugin/drupal-development-environment/-/issues
tags:
- composer
- testing
---
# Drupal Development Environment

This composer plugin builds all necessary structures of a Drupal project for development.
It provides a massive amount of testing tools, which can be executed out of the box using 
[Ahoy](../../plugin/ahoy/index.md):

- [Dependency Analysis](../../../dev_tools/test.md#php-code-sniffer)
- [PHP Unit](../../../dev_tools/test.md#unitkernelfunctional-testing)
- [PHP Code Sniffer](../../../dev_tools/test.md#php-code-sniffer)
- [PHP PHPStan](../../../dev_tools/test.md#php-code-sniffer)
- [PHP Lint](../../../dev_tools/test.md#php-code-sniffer)
- [PHP LOC](../../../dev_tools/test.md#php-loc)
- [PHP Mess Detection](../../../dev_tools/test.md#php-mess-detection)
- [PHP Copy and Paste Detector](../../../dev_tools/test.md#php-code-sniffer)
- [PHP Metrics](../../../dev_tools/test.md#php-code-sniffer)
- [PHP Stylelint](../../../dev_tools/test.md#php-code-sniffer)
- [Eslint](../../../dev_tools/test.md#php-code-sniffer)
